Indicates that following commands create named elements for early processing

- « ImagickDraw::pushClipPath

- ImagickDraw::pushPattern »

- PHP Manual
- ImagickDraw
- Indicates that following commands create named elements for early processing

# ImagickDraw::pushDefs

(PECL imagick 2, PECL imagick 3)

ImagickDraw::pushDefs — Indicates that following commands create named elements for early processing

### Description

public ImagickDraw::pushDefs(): bool
Warning

This function is currently not documented; only its argument list is available.

Indicates that commands up to a terminating ImagickDraw::popDefs() command create named elements (e.g. clip-paths, textures, etc.) which may safely be processed earlier for the sake of efficiency.

### Return Values

No value is returned.